package baselinecomparison;

import java.awt.Color;
import java.awt.Component;

import javax.swing.table.TableCellRenderer;

import com.wily.ui.swing.table.TableSorter_v2;
import com.wily.ui.swing.table.TooltipSavyJTable;

public class BaselineComparisonTable extends TooltipSavyJTable
	{
	private static final long serialVersionUID = 1L;

	public static String[] sColumns = new String[] { 
			"metric", "start value", "end value", "% value", 
			   "start min", "end min", "% min",
			   "start max", "end max", "% max",
			   "start count", "end count", "% count" };

	public static final int sColumnColors[] = {0, 1, 2, 0, 1, 2, 0, 1, 2, 0, 1, 2, 0};
 
	public BaselineComparisonTable(TableSorter_v2 sorter)
		{
		super(sorter);
		}
	
	// THANK YOU TO SYLVAIN'S ORIGINAL COMPARISON EXAMPLE
	public Component prepareRenderer(TableCellRenderer renderer, int rowIndex,
			int vColIndex)
		{
        Component c = super.prepareRenderer(renderer, rowIndex, vColIndex);
        if(!isCellSelected(rowIndex, vColIndex))
            c.setBackground(getColor(vColIndex));

        return c;
		}
	
    public Color getColor(int columnNumber)
        {
            Color color = Color.white;
            switch(sColumnColors[columnNumber])
            {
            case 1: // '\001'
                color = Constants.BACKGROUND_COLOR_1;
                break;

            case 2: // '\002'
                color = Constants.BACKGROUND_COLOR_2;
                break;
            }
            return color;
        }
	}
